<?php

namespace App\Validator\Constraints;

use Symfony\Component\Validator\Constraint;

#[\Attribute]
class RemoteCalendarRuleUnique extends Constraint
{
    public string $message;

    public function __construct(mixed $options = null, ?array $groups = null, mixed $payload = null)
    {
        parent::__construct($options, $groups, $payload);

        $this->message = 'Ya hay una regla de calendario marcada como no disponible o reservada.';
    }

    public function getTargets(): string
    {
        return self::CLASS_CONSTRAINT;
    }
}